package com.example.beijing_daxing.been;

import androidx.databinding.BaseObservable;

import org.litepal.crud.LitePalSupport;

import java.util.Objects;

/**
 * @author wanghao
 * @date 2024/1/19  13:45
 */
public class Stock extends BaseObservable  {
    private int index;
    private String epcCode;
    private String locationCode;
    private String state;
    private String createTime;
    private String remark;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
        notifyChange();
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public String getEpcCode() {
        return epcCode;
    }

    public void setEpcCode(String epcCode) {
        this.epcCode = epcCode;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Stock stock = (Stock) o;

        return Objects.equals(epcCode, stock.epcCode);
    }

    @Override
    public int hashCode() {
        return epcCode != null ? epcCode.hashCode() : 0;
    }
}
